# Class AbstractAppController

Application abstract controller.

Used functionalities:

- `open_panel`: When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.

#### Param: $scope

Scope.

#### Param: $injector

Main injector.

#### Param: mobile

Is mobile.

#### Ngdoc

controller

#### Ng Inject

- Defined in src/controllers/AbstractAppController.js:84

#####
Index

### Constructors

constructor

### Properties

$scope
backgroundLayerMgr_
defaultLang
dimensions
displaywindowContent
displaywindowDraggableContainment
displaywindowHeight
displaywindowOpen
displaywindowTitle
displaywindowUrl
displaywindowWidth
drawFeatureLayer
filterSelectorActive
filterSelectorEnabled
gettextCatalog
gmfThemeManager
gmfThemes
gmfTreeManager_
gmfUser
hasEditableLayers
hasPrivateLayers
lang
langUrls
loading
loginActive
loginRedirectUrl
manageResize
map
mapToolsGroup
ngeoLocation
ngeoMapQuerent_
options
permalink_
postLoading
queryActive
resizeTransition
searchListeners
stateManager
tmhDynamicLocale
updateHasEditableLayers_

### Methods

initLanguage
setDefaultBackground_
switchLanguage

## Constructors

### constructor

- new AbstractAppController($scope, $injector, mobile?): AbstractAppController

- Application abstract controller.

  Used functionalities:

  - `open_panel`: When set, contains the name of the panel to open upon loading an application. Note: although this is a list, only one can be defined.

  #### Parameters

  - $scope: IScope

    Scope.

  - $injector: IInjectorService

    Main injector.

  - `Optional` mobile: boolean

    Is mobile.

  #### Returns AbstractAppController

  #### Ngdoc

  controller

  #### Ng Inject

  - Defined in src/controllers/AbstractAppController.js:84

## Properties

### $scope

$scope: IScope

- Defined in src/controllers/AbstractAppController.js:500

### backgroundLayerMgr_

backgroundLayerMgr_: MapBackgroundLayerManager

- Defined in src/controllers/AbstractAppController.js:456

### defaultLang

defaultLang: any

Default language

- Defined in src/controllers/AbstractAppController.js:512

### dimensions

dimensions: {}

#### Type declaration

- Defined in src/controllers/AbstractAppController.js:431

### displaywindowContent

displaywindowContent: string

- Defined in src/controllers/AbstractAppController.js:611
- Defined in src/controllers/AbstractAppController.js:652

### displaywindowDraggableContainment

displaywindowDraggableContainment: string

- Defined in src/controllers/AbstractAppController.js:657

### displaywindowHeight

displaywindowHeight: string

- Defined in src/controllers/AbstractAppController.js:573
- Defined in src/controllers/AbstractAppController.js:662

### displaywindowOpen

displaywindowOpen: boolean

- Defined in src/controllers/AbstractAppController.js:567
- Defined in src/controllers/AbstractAppController.js:667

### displaywindowTitle

displaywindowTitle: string

- Defined in src/controllers/AbstractAppController.js:566
- Defined in src/controllers/AbstractAppController.js:672

### displaywindowUrl

displaywindowUrl: string

- Defined in src/controllers/AbstractAppController.js:597
- Defined in src/controllers/AbstractAppController.js:677

### displaywindowWidth

displaywindowWidth: string

- Defined in src/controllers/AbstractAppController.js:570
- Defined in src/controllers/AbstractAppController.js:682

### drawFeatureLayer

drawFeatureLayer: FeatureOverlay

- Defined in src/controllers/AbstractAppController.js:245

### filterSelectorActive

filterSelectorActive: boolean

- Defined in src/controllers/AbstractAppController.js:383

### filterSelectorEnabled

filterSelectorEnabled: boolean

- Defined in src/controllers/AbstractAppController.js:376
- Defined in src/controllers/AbstractAppController.js:473

### gettextCatalog

gettextCatalog: gettextCatalog

The gettext catalog

- Defined in src/controllers/AbstractAppController.js:526

### gmfThemeManager

gmfThemeManager: any

- Defined in src/controllers/AbstractAppController.js:259

### gmfThemes

gmfThemes: any

Themes service

- Defined in src/controllers/AbstractAppController.js:271

### gmfTreeManager_

gmfTreeManager_: any

- Defined in src/controllers/AbstractAppController.js:264

### gmfUser

gmfUser: any

- Defined in src/controllers/AbstractAppController.js:404
- Defined in src/controllers/AbstractAppController.js:411
- Defined in src/controllers/AbstractAppController.js:414

### hasEditableLayers

hasEditableLayers: boolean

- Defined in src/controllers/AbstractAppController.js:301

### hasPrivateLayers

hasPrivateLayers: boolean

- Defined in src/controllers/AbstractAppController.js:351
- Defined in src/controllers/AbstractAppController.js:354

### lang

lang: string

- Defined in src/controllers/AbstractAppController.js:505
- Defined in src/controllers/AbstractAppController.js:738

### langUrls

langUrls: any

Languages URL

- Defined in src/controllers/AbstractAppController.js:519

### loading

loading: boolean

Checks if the themes are loaded

- Defined in src/controllers/AbstractAppController.js:278
- Defined in src/controllers/AbstractAppController.js:280

### loginActive

loginActive: boolean

- Defined in src/controllers/AbstractAppController.js:338
- Defined in src/controllers/AbstractAppController.js:419

### loginRedirectUrl

loginRedirectUrl: string

URL to redirect to after login success.

- Defined in src/controllers/AbstractAppController.js:317
- Defined in src/controllers/AbstractAppController.js:337
- Defined in src/controllers/AbstractAppController.js:344

### manageResize

manageResize: boolean

Whether to update the size of the map on browser window resize.

- Defined in src/controllers/AbstractAppController.js:620

### map

map: Map

- Defined in src/controllers/AbstractAppController.js:230

### mapToolsGroup

mapToolsGroup: string

- Defined in src/controllers/AbstractAppController.js:533

### ngeoLocation

ngeoLocation: StatemanagerLocation

Location service

- Defined in src/controllers/AbstractAppController.js:220

### ngeoMapQuerent_

ngeoMapQuerent_: MapQuerent

- Defined in src/controllers/AbstractAppController.js:485

### options

options: any

- Defined in src/controllers/AbstractAppController.js:88

### permalink_

permalink_: any

Permalink service

- Defined in src/controllers/AbstractAppController.js:296

### postLoading

postLoading: boolean

This property is set to `true` when the themes change after a successful login

- Defined in src/controllers/AbstractAppController.js:289

### queryActive

queryActive: boolean

The active state of the ngeo query directive.

- Defined in src/controllers/AbstractAppController.js:480

### resizeTransition

resizeTransition: number

The duration (milliseconds) of the animation that may occur on the div containing the map. Used to smoothly resize the map while the animation is in progress.

- Defined in src/controllers/AbstractAppController.js:629

### searchListeners

searchListeners: SearchDirectiveListeners<olFeature<Geometry>>

Listeners passed to searchDirective.

- Defined in src/controllers/AbstractAppController.js:324

### stateManager

stateManager: StatemanagerService

- Defined in src/controllers/AbstractAppController.js:490

### tmhDynamicLocale

tmhDynamicLocale: IDynamicLocale

- Defined in src/controllers/AbstractAppController.js:495

### updateHasEditableLayers_

updateHasEditableLayers_: typeof __function

- Defined in src/controllers/AbstractAppController.js:306

## Methods

### initLanguage

- initLanguage(): void

- #### Returns void

  - Defined in src/controllers/AbstractAppController.js:743

### setDefaultBackground_

- setDefaultBackground_(theme): void

- #### Parameters

  - theme: any

    Theme.

  #### Returns void

  - Defined in src/controllers/AbstractAppController.js:774

### switchLanguage

- switchLanguage(lang): void

- #### Parameters

  - lang: string

    Language code.

  #### Returns void

  - Defined in src/controllers/AbstractAppController.js:731

Generated using TypeDoc